import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiStackGetResultModel(_base.BaseAPIResultModel):
    cpu_allocation_ratio: float | None
    description: str
    drivers: list[_nested.Driver]
    id: int
    mem_allocation_ratio: float | None
    name: str
    status: _nested.PhysicalNodeStatus
    type: str


class CloudapiStackGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        stack_id: int,
    ) -> CloudapiStackGetResultModel:
        ...
